# Interface methods for submodule: BinaryMinMaxCurvatureFlowImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MinMaxCurvatureFlowImageFilterProxy as _MinMaxCurvatureFlowImageFilterProxy


# Interface methods for class: BinaryMinMaxCurvatureFlowImageFilter
class BinaryMinMaxCurvatureFlowImageFilterProxy(_MinMaxCurvatureFlowImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

